import java.lang.IllegalArgumentException;
public class Dice
{
  private int value;
  public int getValue()
  {
    return value;
  }
  private Side side;
  public Side getSide()
  {
    return side;
  }
  public Dice(int value, Side side)
  {
    if (value < 1 || value > Board.DICE_MAX)
    {
      throw new IllegalArgumentException("Invalid dice value.");
    }
    this.value = value;
    this.side = side;
  }
}