import java.util.Random;
import java.util.ArrayList;
public class Player
{
  // Called before any game strats
  public Player()
  {
  }
  private static Random rng = new Random();
  // Called when you need to make a move.
  public Move makeMove(Board boardCopy)
  {
    // Make a random move.
    ArrayList<Move> allowedMoves = boardCopy.getAllAllowedMoves(Side.Player);
    return allowedMoves.get(rng.nextInt(allowedMoves.size()));
  }
  // Called when either you or your opponent has made a move,
  // which you can use for bookkeeping.
  public void notify(Move move, Board boardCopy)
  {
  }
  // Called when the game is over and a new game is about to start.
  public void nextGame()
  {
  }
}